#ifndef _PARSEC_CAPS_H_
#define _PARSEC_CAPS_H_

#include <sys/capability.h>
#include <parsec/parsec_cap.h>

#ifdef __cplusplus
extern "C" {
#endif
extern cap_t   mcap_get_proc(void);
extern int     mcap_set_proc(cap_t);

extern cap_t   mcap_from_text(const char *);
extern char *  mcap_to_text(cap_t, ssize_t *);

extern int mcapgetp(pid_t pid, cap_t cap_d);
extern int mcapsetp(pid_t pid, cap_t cap_d);
extern char const *_mcap_names[];
extern char const *_cap_names[];

#ifdef __cplusplus
}
#endif

#endif
